---
lang: en
title: 'API docs: openapi-spec-builder.componentsspecbuilder.withrequestbody'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/openapi-spec-builder
permalink: /doc/en/lb4/apidocs.openapi-spec-builder.componentsspecbuilder.withrequestbody.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/openapi-spec-builder](./openapi-spec-builder.md) &gt; [ComponentsSpecBuilder](./openapi-spec-builder.componentsspecbuilder.md) &gt; [withRequestBody](./openapi-spec-builder.componentsspecbuilder.withrequestbody.md)

## ComponentsSpecBuilder.withRequestBody() method

Define a component request body.

**Signature:**

```typescript
withRequestBody(name: string, requestBody: RequestBodyObject | ReferenceObject): this;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  name | string | The name of the request body |
|  requestBody | RequestBodyObject \| ReferenceObject | Specification of the request body |

**Returns:**

this


